var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var plugin_exports = {};
__export(plugin_exports, {
  DataVisualizationPlugin: () => DataVisualizationPlugin,
  default: () => plugin_default
});
module.exports = __toCommonJS(plugin_exports);
var import_server = require("@nocobase/server");
var import_query = require("./actions/query");
var import_path = require("path");
class DataVisualizationPlugin extends import_server.Plugin {
  cache;
  afterAdd() {
  }
  beforeLoad() {
    this.app.resource({
      name: "charts",
      actions: {
        query: import_query.query
      }
    });
    this.app.acl.allow("charts", "query", "loggedIn");
  }
  async load() {
    this.db.addMigrations({
      namespace: "data-visulization",
      directory: (0, import_path.resolve)(__dirname, "migrations"),
      context: {
        plugin: this
      }
    });
    this.cache = await this.app.cacheManager.createCache({
      name: "data-visualization",
      store: "memory",
      ttl: 30 * 1e3,
      // millseconds
      max: 1e3
    });
  }
  async install(options) {
  }
  async afterEnable() {
  }
  async afterDisable() {
  }
  async remove() {
  }
}
var plugin_default = DataVisualizationPlugin;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  DataVisualizationPlugin
});
